-- ------------------------------------------------------ --
-- APM-3004 f'd up database and I have to fix it
-- Adding default values to cehior_auth_proj_test_user... 
-- and cehior_auth_proj_roller ... AGAIN ...
-- ------------------------------------------------------ --
ALTER TABLE `cehior_auth_proj_test_user` 
CHANGE COLUMN `role_project` `role_project` CHAR(1) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `role_oneclick` `role_oneclick` CHAR(1) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `role_su53_multiview` `role_su53_multiview` CHAR(1) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `mail` `mail` varchar(320) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '';

ALTER TABLE `cehior_auth_proj_roller` 
CHANGE COLUMN `original_rolle` `original_rolle` varchar(40) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `new_role` `new_role` varchar(40) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `org_level` `org_level` varchar(50) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `agr_name_lock` `agr_name_lock` char(1) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '',
CHANGE COLUMN `comp_level` `comp_level` char(2) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT '';
